
Application: gvSIG desktop - gvSIG bugs #1102
After dissolve a poligon layer appears lines in between most polygons that shouldn't appear 
09/07/2012 12:38 PM - Vicent Domenech

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: Geoprocess
Target version: 2.1.0-2218-testing
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2052 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Open gvSIg
New view
Add Layer
Add
Choose municipios_Andal.shp form  geodata/vector/SHP2D/municipios_Andal
Press Open
Press Ok
Toolbox icon
Select Dissolve geoprocess from vector layer tools
As Input Cover municipios_Andal.shp
As field PROVINCIA
Press ok
Check the dissolve layer has lines that shouldn't appear in between most polygons

History
#1 - 09/12/2012 09:59 AM - Vicent Domenech

gvSIG version 2052
org.gvsig.geoprocess.app.algorithm-1.0.0-SNAPSHOT-2047
org.gvsig.geoprocess.app.mainplugin-1.0.0-SNAPSHOT-2047

#2 - 10/30/2012 03:24 PM - Manuel Madrid
- Priority changed from Normal to Low

#3 - 01/13/2014 05:28 PM - Álvaro Anguix
- File gvSIG.log added
- Assignee set to Ignacio Brodín
- Priority changed from Low to High

Al intentar replicarlo, con la misma capa de municipios, me salta un error. Adjunto log.
#4 - 01/16/2014 12:45 PM - Álvaro Anguix
- Target version set to 2.1.0-2219-testing

#5 - 01/20/2014 12:48 PM - Ignacio Brodín

Este bug lo estuvimos revisando en su día. Pasa una cosa que produce ambos problemas. Por un lado las líneas que aparecen al hacer el dissolve
son generadas por JTS y no por gvSIG, por lo que mientras sigamos usando JTS para estos menesteres seguirá pasando. De todas formas la culpa
en el fondo tampoco es de JTS. Resulta que la capa en cuestión tiene errores topológicos que hace que JTS no pueda hacer algunas uniones. Esas
directamente dan un fallo y ya no continua. Si marcas el check de hacer el dissolve solo de geometrías adyancente verás que si que lo procesa. Esto
era lo que en su día hacía Vicente para completar el proceso. En este caso no computa esas geometrías problemáticas.

En cualquier caso con solo una unión que se deje por hacer el resultado ya sería incorrecto. Quizás lo que debería hacer sería intentar capturar el
error y sacar un mensaje que pudiera ser entendido por el usuario. La solución pasaría por solucionar los problemas topológicos con alguna
herramienta.

#6 - 01/20/2014 01:59 PM - Ignacio Brodín
- Status changed from New to Fixed

Ahora se informará del error topológico y que el resultado obtenido puede ser incorrecto.

gvsig-geoprocess:r468

#7 - 01/28/2014 01:02 PM - Álvaro Anguix
- Target version changed from 2.1.0-2219-testing to 2.1.0-2218-testing

#8 - 02/01/2014 01:41 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 488 KB 01/13/2014 Álvaro Anguix
